Bug 1532605 - JS Error: s.included.ids is undefined - on choosing REX on host collection action dialog
Summary: JS Error: s.included.ids is undefined - on choosing REX on host collection ac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1537118 (view as bug list)
Depends On:
Blocks: 1443816
TreeView+ depends on / blocked
 
Reported: 2018-01-09 12:34 UTC by Roman Plevka
Modified: 2021-09-09 13:00 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.4.5.52-1,tfm-rubygem-katello-3.4.5.56-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22214 0 Normal Closed Cannot read property 'join' of undefined - on choosing REX on host collection action dialog 2020-03-13 13:16:43 UTC
Foreman Issue Tracker 22384 0 Normal Closed Remote execution UI integration doesn't trigger request to remote execution 2020-03-13 13:16:45 UTC
Red Hat Bugzilla 1190002 0 medium CLOSED [RFE] add "update all" button to host collections package update, selecting multiple content hosts 2021-06-10 10:55:51 UTC

Internal Links: 1190002

Description Roman Plevka 2018-01-09 12:34:01 UTC
Description of problem:
there is a javascript error on choosing remote execution[ customize first] option on Host collection actions, preventing user to use remote execution on host collection (katello-agent works fine).

Error: s.included.ids is undefined
e.performViaRemoteExecution@https://zzzap.lab.eng.brq.redhat.com/assets/bastion_katello/bastion_katello-d4a523d0255f876ef56ca7f953528b40000fff2a8090f645dd5dca63277ced3a.js:1:16892
fn@https://zzzap.lab.eng.brq.redhat.com/assets/bastion/bastion-fdb3a220e59a8eb2f950d59c8cf508ea8ac811844d8b2dc9f9935485bc360516.js line 4 > Function:4:293
t@https://zzzap.lab.eng.brq.redhat.com/assets/bastion/bastion-fdb3a220e59a8eb2f950d59c8cf508ea8ac811844d8b2dc9f9935485bc360516.js:3:434
a@https://zzzap.lab.eng.brq.redhat.com/assets/bastion/bastion-fdb3a220e59a8eb2f950d59c8cf508ea8ac811844d8b2dc9f9935485bc360516.js:5:13098
$eval@https://zzzap.lab.eng.brq.redhat.com/assets/bastion/bastion-fdb3a220e59a8eb2f950d59c8cf508ea8ac811844d8b2dc9f9935485bc360516.js:3:10478
$apply@https://zzzap.lab.eng.brq.redhat.com/assets/bastion/bastion-fdb3a220e59a8eb2f950d59c8cf508ea8ac811844d8b2dc9f9935485bc360516.js:3:10710
compile/</<@https://zzzap.lab.eng.brq.redhat.com/assets/bastion/bastion-fdb3a220e59a8eb2f950d59c8cf508ea8ac811844d8b2dc9f9935485bc360516.js:5:13148
dispatch@https://zzzap.lab.eng.brq.redhat.com/webpack/bundle.js:4828:17
add/elemData.handle@https://zzzap.lab.eng.brq.redhat.com/webpack/bundle.js:4641:7

Version-Release number of selected component (if applicable):
6.3.0-31

How reproducible:
always

Steps to Reproduce:
1. define a host collection
2. navigate to host collection and choose e.g. "Package Installation, Removal, and Update" action
3. [open up the browser console to spot the error,] from any dropdown, try to choose remote execution or rex (customize first)

Actual results:
js traceback - s.included.ids is undefined

Expected results:
no errors, dialog and rex just works

Comment 3 Ondřej Pražák 2018-01-10 11:36:21 UTC
Created redmine issue http://projects.theforeman.org/issues/22214 from this bug

Comment 4 Ivan Necas 2018-01-10 12:34:41 UTC
I suspect the issue will be similar to https://bugzilla.redhat.com/show_bug.cgi?id=1525035, probably the same root cause, but need to be investigated

Comment 5 Walden Raines 2018-01-13 00:04:53 UTC
PR: https://github.com/Katello/katello/pull/7151

Comment 6 Satellite Program 2018-01-16 15:22:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22214 has been resolved.

Comment 8 Nikhil Kathole 2018-01-23 13:20:51 UTC
*** Bug 1537118 has been marked as a duplicate of this bug. ***

Comment 9 Roman Plevka 2018-01-23 13:36:55 UTC
FAILED QA

the js error is gone, however the REX options remain non-functional.
choosing either "using Remote execution" or "Remote execution - customize first" triggers no action (no request sent out to the server nor no javascript error raised in console)

Comment 10 Brad Buckingham 2018-01-25 20:05:31 UTC
The solution for http://projects.theforeman.org/issues/22384 has been merged upstream; therefore, moving this to POST.

Comment 12 Roman Plevka 2018-02-01 13:56:10 UTC
VERIFIED
on satellite-6.3.0-23

- the buttons now trigger expected actions and there are no errs/warns in the console.

Comment 13 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.